aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/backup-restore-master
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-03-08 18:41:23 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-03-08 18:41:23 -0300
commit7faa673c290bf8466ff919252770fc636aa5c4dc (patch)
tree3a96c363eb647eeccf238aa26d44a8180c3f8fb7 /share/hydractl/backup-restore-master
parent6dd7d01b58222f8c27583e2b9c701f765e7cf760 (diff)
downloadhydra-7faa673c290bf8466ff919252770fc636aa5c4dc.tar.gz
hydra-7faa673c290bf8466ff919252770fc636aa5c4dc.tar.bz2
Adding backup-restore-master
Diffstat (limited to 'share/hydractl/backup-restore-master')
-rwxr-xr-xshare/hydractl/backup-restore-master43
1 files changed, 43 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore-master b/share/hydractl/backup-restore-master
new file mode 100755
index 0000000..ecbb64c
--- /dev/null
+++ b/share/hydractl/backup-restore-master
@@ -0,0 +1,43 @@
+#!/bin/bash
+#
+# Restore master configuration and data into a master node.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Command line arguments
+BASENAME="`basename $0`"
+
+# Parameters.
+HOST="$1"
+DOMAIN="`facter domain`"
+
+# TODO: check if keys and files exist
+
+hydractl backup-restore $HOST rsync
+hydractl backup-restore-git $HOST
+hydractl backup-restore-database $HOST puppet
+hydractl backup-restore-site $HOST rsync admin
+hydractl backup-restore-puppet $HOST
+hydractl backup-restore-nagios $HOST
+hydractl backup-restore-munin $HOST
+
+# Teardown
+echo "Now check the restoration process and cleanup keys and files by running:"
+echo "rm -rf /var/backups/remote/$BACKUP.$DOMAIN/restore/"
+echo "gpg --delete-secret-and-public-keys root@$BACKUO.$DOMAIN"